Bug 238676 - devel/erlang-cuttlefish Makefile Broken due to Revision 503370 is easily fixed
Summary: devel/erlang-cuttlefish Makefile Broken due to Revision 503370 is easily fixed
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Rene Ladan
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-06-18 02:31 UTC by dewayne
Modified: 2020-01-11 11:57 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (erlang)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description dewayne 2019-06-18 02:31:45 UTC
Could you change 
/usr/ports/devel/erlang-cuttlefish/files/patch-rebar.config
from 
/usr/ports/devel/erlang-cuttlefish/files/patch-rebar.config:-{require_otp_vsn, "R16|17|18"}.
to
/usr/ports/devel/erlang-cuttlefish/files/patch-rebar.config:+{require_otp_vsn, "R16|17|18|19|20|21|22"}.
which fixes the "BROKEN" issue and accomodates future revisions of erlang :)

With this applied, the BROKEN line in Makefile enables a successful package build
(on 11.3Beta1 i386)
Comment 1 Rene Ladan freebsd_committer 2020-01-10 20:40:38 UTC
Steal from erlang@
Comment 2 Rene Ladan freebsd_committer 2020-01-11 10:50:46 UTC
Fix committed, thanks!
Comment 3 commit-hook freebsd_committer 2020-01-11 10:51:39 UTC
A commit references this bug:

Author: rene
Date: Sat Jan 11 10:50:37 UTC 2020
New revision: 522674
URL: https://svnweb.freebsd.org/changeset/ports/522674

Log:
  erlang/cuttlefish: fix build

  PR:		238279 [1]
  PR:		238676 [2]
  Submitted by:	fbsdports@westryn.net [1]
  Submitted by:	dewayne@heuristicsystems.com.au [2]
  MFH:		2020Q1

Changes:
  head/devel/erlang-cuttlefish/Makefile
  head/devel/erlang-cuttlefish/files/patch-rebar.config
Comment 4 commit-hook freebsd_committer 2020-01-11 11:57:45 UTC
A commit references this bug:

Author: rene
Date: Sat Jan 11 11:57:19 UTC 2020
New revision: 522678
URL: https://svnweb.freebsd.org/changeset/ports/522678

Log:
  MFH: r522674

  erlang/cuttlefish: fix build

  PR:		238279 [1]
  PR:		238676 [2]
  Submitted by:	fbsdports@westryn.net [1]
  Submitted by:	dewayne@heuristicsystems.com.au [2]

  Approved by:	ports-secteam (joneum)

Changes:
_U  branches/2020Q1/
  branches/2020Q1/devel/erlang-cuttlefish/Makefile
  branches/2020Q1/devel/erlang-cuttlefish/files/patch-rebar.config